---
title: "Administration Audit Events"
slug: "admin-audit-api"
updated: 2026-01-29T09:33:46Z
published: 2026-01-29T09:33:46Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Administration Audit Events

Get/api/1.0/audit-admin/{envId}

The GET Admin Audit Events method retrieves administrative audit events within a specific Environment or Tenant. For more information, refer to our documentation on [Administration Audit Reports](https://docs.plainid.io/docs/about-audit-reports).

## Notice

Accessing the Policy Management API is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`
  

### cURL Sample Guidelines

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstring (uuid) 

This parameter is ***required*** only when using the API to fetch Environment level Admin Audit Events. The parameter can be omitted when using the API to fetch Tenant level Admin Audit Events. The Environment ID can be found under the Details tab in the Environment Settings.

Query parameterslimitintegerMinimum1Maximum1000Default50
offsetintegerMinimum0Default0
filter[timestamp][gt]integer

Timestamp is in epoch time

filter[timestamp][gte]integer
filter[timestamp][lt]integer
filter[timestamp][lte]integer
filter[action][eq]string
filter[action][ne]string
filter[action][like]string
filter[action][ilike]string
filter[action][not-like]string
filter[resourceType][eq]string
filter[resourceType][ne]string
filter[resourceType][like]string
filter[resourceType][ilike]string
filter[resourceType][not-like]string
filter[resourceId][eq]string

ID of a specific object

filter[resourceId][ne]string
filter[parentObjectType][eq]string
filter[parentObjectType][ne]string
filter[parentObjectType][like]string
filter[parentObjectType][ilike]string
filter[parentObjectType][not-like]string
filter[parentObjectName][eq]string
filter[parentObjectName][ne]string
filter[parentObjectName][like]string
filter[parentObjectName][ilike]string
filter[parentObjectName][not-like]string
filter[parentObjectId][eq]string
filter[parentObjectId][ne]string
filter[userId][eq]string

userId is the IDP userId used to log in to the tenant

filter[userId][ne]string
sort[action]stringValid values[
  "ASC",
  "DESC"
]
sort[timestamp]stringValid values[
  "ASC",
  "DESC"
]

Responses200

List of administration audit events log

<select class='api-response-data' aria-label='Media type'><option value='89c03ae0-7f49-415d-b479-88b8dc73eb6c'>application/json</option>
</select>Expand Allobject  data Array of object (auditAdminLog)   object  Example{
  "id": "a2f799d0-7592-45e7-aef7-8e89fd7e66df",
  "action": "UPDATE",
  "timestamp": 1693001401,
  "userId": "john.doe@plainid.com",
  "resourceType": "ROLE",
  "resourceId": "3494e75d-12b3-48ce-916c-1e321ad61bf6",
  "resourceName": "testPolicy",
  "parentObjectType": "AUTHZ_WS",
  "parentObjectId": "3494e75d-12b3-48ce-916c-1e321ad61bf6",
  "parentObjectName": "auth1",
  "oldValue": {
    "id": "6f69e5d3-9efb-487b-a1b6-ed00676af34c",
    "authWsId": "65119971-1e7c-4121-a57f-2daf90e820d2",
    "type": "BASIC",
    "authDomain": "ADVANCED",
    "name": "yair",
    "description": "qaqaqa",
    "isActive": true,
    "metadata": null,
    "createdTime": 1692703690054,
    "updatedTime": 1692703690054,
    "sectionsStatuses": null,
    "completed": null,
    "adminDefault": false,
    "restricted": false,
    "externalId": "6f69e5d3-9efb-487b-a1b6-ed00676af34c"
  },
  "newValue": {
    "id": "6f69e5d3-9efb-487b-a1b6-ed00676af34c",
    "authWsId": "65119971-1e7c-4121-a57f-2daf90e820d2",
    "type": "BASIC",
    "authDomain": "ADVANCED",
    "name": "yair",
    "description": "qaqaqa",
    "isActive": true,
    "metadata": null,
    "createdTime": 1692703690054,
    "updatedTime": 1692861290496,
    "sectionsStatuses": null,
    "completed": null,
    "adminDefault": false,
    "restricted": true,
    "externalId": "6f69e5d3-9efb-487b-a1b6-ed00676af34c"
  },
  "additionalData": null
}idstring    
actionstring    Max length100
timestampinteger    
userIdstring    
resourceTypestring    
resourceIdstring  (uuid)    
resourceNamestring    
parentObjectTypestring    
parentObjectIdstring  (uuid)    
parentObjectNamestring    
oldValueobject  
newValueobject  
additionalDataobject | null  

totalinteger    

Total number of items

Minimum0
limitinteger    Minimum0Maximum50
offsetinteger    Minimum0Default0

400

Bad request

<select class='api-response-data' aria-label='Media type'><option value='48775ce7-23b4-44ef-8cf0-8abd9332de28'>application/json</option>
</select>Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring    

403

Operation GET for resource AuditLog is not permitted due to the current user's lack of permissions.

<select class='api-response-data' aria-label='Media type'><option value='ec3685ae-a419-41ed-805a-cbfd873cbb6c'>application/json</option>
</select>Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring
